<script type="text/javascript">
    var avg_caller_delay = [];
    var json_delay = <%= @delay_chart_data %> ;
    for (var keyName in json_delay){
        avg_caller_delay.push({delay: keyName, occurrence: json_delay[keyName]})
    };

    var avg_caller_in_system = [];
    var json_in_system = <%= @in_system_chart_data %> ;
    for (var keyName in json_in_system){
        avg_caller_in_system.push({in_system: keyName, occurrence: json_in_system[keyName]})
    };

    //    {date: new Date(2011, 5, 1, 0, 0, 0, 0), val:10},
    //    {date: new Date(2011, 5, 2, 0, 0, 0, 0), val:11},
    //    {date: new Date(2011, 5, 3, 0, 0, 0, 0), val:12},
    //    {date: new Date(2011, 5, 4, 0, 0, 0, 0), val:11},
    //    {date: new Date(2011, 5, 5, 0, 0, 0, 0), val:10},
    //    {date: new Date(2011, 5, 6, 0, 0, 0, 0), val:11},
    //    {date: new Date(2011, 5, 7, 0, 0, 0, 0), val:13},
    //    {date: new Date(2011, 5, 8, 0, 0, 0, 0), val:14},
    //    {date: new Date(2011, 5, 9, 0, 0, 0, 0), val:17},
    //    {date: new Date(2011, 5, 10, 0, 0, 0, 0), val:13}

    AmCharts.ready(function() {
        var chart = new AmCharts.AmSerialChart();
        chart.dataProvider = avg_caller_delay;
        chart.categoryField = "delay";

        var graph = new AmCharts.AmGraph();
        graph.valueField = "occurrence";
        graph.type = "column";
        graph.fillAlphas = 0.9;

        chart.addGraph(graph);
        chart.angle = 30;
        chart.depth3D = 30;

        chart.write("chartdiv");

        ///////////////////////

        var chart2 = new AmCharts.AmSerialChart();
        chart2.dataProvider = avg_caller_in_system;
        chart2.categoryField = "in_system";

        var graph2 = new AmCharts.AmGraph();
        graph2.valueField = "occurrence";
        graph2.type = "column";
        graph2.fillAlphas = 0.9;

        chart2.addGraph(graph2);
        chart2.angle = 30;
        chart2.depth3D = 30;

        chart2.write("chart2div");
    });
</script>
<h4 class="card-panel teal lighten-2">Average Caller Delay Chart</h4>
<div id="chartdiv" style="width:100%; height:400px;"></div>

<h4 class="card-panel teal lighten-2">Average Caller Time in system Chart</h4>
<div id="chart2div" style="width:100%; height:400px;"></div>

<a href="/" class="btn waves-effect waves-light">New simulation</a>
<br><br>